Bug 1872251 - [aws-ebs-csi-driver] Verify job in CI doesn't check for vendor dir sanity
Summary: [aws-ebs-csi-driver] Verify job in CI doesn't check for vendor dir sanity
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Christian Huffman
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 09:38 UTC by Fabio Bertinatto
Modified: 2020-09-15 03:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift aws-ebs-csi-driver pull 166 None closed Bug 1872251: Included vendor verification 2020-09-22 08:00:42 UTC
Github openshift release pull 11615 None open Include test for verifying dependencies. 2020-09-22 08:00:42 UTC

Description Fabio Bertinatto 2020-08-25 09:38:42 UTC
Description of problem:

Verify job doesn't check if vendor directory was updated correctly. This is a problem because upstream doesn't have a vendor directory, and usually after every rebase the go.mod file changes. This breaks our CI and we don't notice it.

How reproducible:

Always.

Steps to Reproduce:
1. Update go.mod without running "go mod vendor"
2. Submit the changes to openshift/aws-ebs-csi-driver
2. Verify job will pass

Actual results:
Verify job in CI will pass.

Expected results:
Verify job detects there are inconsistencies in vendor dir and fail.

Comment 2 Christian Huffman 2020-09-03 18:53:26 UTC
The following PRs were submitted:

- https://github.com/openshift/aws-ebs-csi-driver/pull/166 - introduces the changes in the aws-ebs-csi-driver repo.
- https://github.com/openshift/release/pull/11615 - introduces the change in the release repo.


Note You need to log in before you can comment on or make changes to this bug.